package me.unurled.sacredrealms.cutscenes.data;

import me.unurled.sacredrealms.cutscenes.Cutscenes;
import redis.clients.jedis.JedisPooled;

// TODO: implement redis correctly...
/**
 * RedisHandler
 * Structure of data retention :
 * ---
 * Location = world, x, y, z, yaw, pitch
 * ---
 * sr:cs:cutscene_id:property | value
 * property = name, marker_id, start, end
 * ---
 * sr:mk:marker_id:property | value
 * property = name, cutscene_id, start, [frame_locs], time_between_frames, overall_time
 */
public class RedisHandler {

    JedisPooled jedis;

    public RedisHandler() {
        this.jedis = new JedisPooled(
            Cutscenes.getInstance().getConfig().getString("redis_uri", "localhost"),
            Cutscenes.getInstance().getConfig().getInt("redis_port", 6379)
        );
    }

    public void set(String key, String value) {
        jedis.set(key, value);
    }

    public String get(String key) {
        return jedis.get(key);
    }

}
